% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/design.R
\name{verify_equiv}
\alias{verify_equiv}
\title{Function for General Equivalence Theorem}
\usage{
verify_equiv(opt, space, opt_infor, t, g_part, infor_design, ...)
}
\arguments{
\item{opt}{Integer. \code{opt=0} means D-optimal, \code{opt=1} means A-optimal.}

\item{space}{Matrix. Design space, each row is a design point.}

\item{opt_infor}{Matrix. Information matrix of current design.}

\item{t}{Integer. Number of levels of treatment.}

\item{g_part}{Matrix. Contrast matrix. Its column numbers must match the row
number of information matrix.}

\item{infor_design}{Function. A function for calculating information matrix.}

\item{...}{other necessary control parameters.}
}
\value{
A vector stands for a design point with its last entry being the maximum
    of directional derivative.
}
\description{
A function that examines general equivalence theorem and return the maximum
of drectional derivative as long as its associated design point.
}
\keyword{internal}
